/*
 * @Author: gtz
 * @Date: 2022-07-25 14:18:00
 * @LastEditors: gtz
 * @LastEditTime: 2022-08-03 16:08:03
 * @Description: file content
 * @FilePath: \hf-pda\src\api\eqInspection.js
 */
import request from '@/util/request'

// 获取巡检记录列表
export const list = data => {
  return request({
    url: '/api/equipment/inspectionLog/page',
    method: 'POST',
    data
  })
}

// 新增巡检记录
export const add = data => {
  return request({
    url: '/api/equipment/inspectionLog/add',
    method: 'POST',
    data
  })
}

// 更新巡检记录
export const update = data => {
  return request({
    url: '/api/equipment/inspectionLog/update',
    method: 'POST',
    data
  })
}

// 获取巡检记录详情
export const detail = data => {
  return request({
    url: '/api/equipment/inspectionLog/get',
    method: 'POST',
    data
  })
}

// 获取设备列表
export const eqList = data => {
  return request({
    url: '/api/basic/equipment/list',
    method: 'POST',
    data
  })
}

// 获取巡检项目列表
export const itemList = data => {
  return request({
    url: '/api/equipment/inspectionItem/list',
    method: 'POST',
    data
  })
}

// 获取设备巡检项目列表
export const eqItemList = data => {
  return request({
    url: '/api/equipment/inspectionItem/list-WithEQ',
    method: 'POST',
    data
  })
}

// 获取设备信息
export const getEqInfo = data => {
  return request({
    url: '/api/basic/equipment/PDAget',
    method: 'POST',
    formState: true,
    data
  })
}

// 获取巡检记录下巡检项目列表
export const getEqInsItemList = data => {
  return request({
    url: '/api/equipment/equipmentinspection-inspectionitem/list',
    method: 'POST',
    data
  })
}

// 获取巡检项目列表
export const getInsList = data => {
  return request({
    url: '/api/equipment/equipmentinspection-inspectionitem/list',
    method: 'POST',
    data
  })
}

// 根据设备获取巡检项目列表
export const getEqInsList = data => {
  return request({
    url: '/api/equipment/inspectionItem/list-WithEQ',
    method: 'POST',
    data
  })
}

// 更新巡检项目完成状态
export const updateInsStatus = data => {
  return request({
    url: '/api/equipment/equipmentinspection-inspectionitem/update',
    method: 'POST',
    data
  })
}

// 获取巡检项目详情
export const detailIns = data => {
  return request({
    url: '/api/equipment/equipmentinspection-inspectionitem/get',
    method: 'POST',
    data
  })
}

// 更新巡检项目详情
export const updateIns = data => {
  return request({
    url: '/api/equipment/equipmentinspection-inspectionitem/update',
    method: 'POST',
    data
  })
}
