/*
 * @Author: gtz
 * @Date: 2022-07-25 16:38:30
 * @LastEditors: gtz
 * @LastEditTime: 2022-08-03 18:24:13
 * @Description: file content
 * @FilePath: \hf-pda\src\api\material.js
 */
import request from '@/util/request'

// 获取换料记录列表
export const list = data => {
  return request({
    url: '/api/material/equipment-material-replace/page',
    method: 'POST',
    data
  })
}

// 新增换料记录
export const add = data => {
  return request({
    url: '/api/material/equipment-material-replace/add',
    method: 'POST',
    data
  })
}

// 更新换料记录
export const update = data => {
  return request({
    url: '/api/material/equipment-material-replace/update',
    method: 'POST',
    data
  })
}

// 获取换料记录详情
export const detail = data => {
  return request({
    url: '/api/material/equipment-material-replace/get',
    method: 'POST',
    data
  })
}

// 获取设备列表
export const eqList = data => {
  return request({
    url: '/api/basic/equipment/list',
    method: 'POST',
    data
  })
}

// 获取物料列表
export const materialList = data => {
  return request({
    url: '/api/basic/material/page',
    method: 'POST',
    data
  })
}

// 获取操作员列表
export const workerList = data => {
  return request({
    url: '/api/basic/worker/page',
    method: 'POST',
    data
  })
}

// 根据批次获取物料信息
export const materialInfo = data => {
  return request({
    url: '/api/material/material-date/getByCode',
    method: 'POST',
    data
  })
}

// 获取设备信息
export const getEqInfo = data => {
  return request({
    url: '/api/basic/equipment/PDAget',
    method: 'POST',
    formState: true,
    data
  })
}
